#!/usr/bin/python3

from lib.setup import import_config_file
from lib.authentication import authenticate_twitter
from lib.TweetStreamer import TweetStreamer
from tweepy import Stream


def main():
    config = import_config_file()
    twitter_api = authenticate_twitter(config)
    tweet_stream_listener = TweetStreamer(twitter_api)
    tweet_stream = Stream(auth=twitter_api.auth,
                          listener=tweet_stream_listener)
    tweet_stream.filter(follow=[twitter_api.me()._json['id_str']])


if(__name__ == '__main__'):
    main()
